from django.contrib import admin
from . import models


class EntryAdmin(admin.ModelAdmin):
    list_display = ('title', 'author', 'create_time')
    search_fields = ('title', 'content')
    list_filter = ('author', 'category')
    ordering = ('-create_time',)

    class Media:
        css = {
            'all': ('css/admin.css',)
        }

    prepopulated_fields = {
        'slug': ('title', )
    }


admin.site.register(models.Entry, EntryAdmin)
admin.site.register(models.Category)
