from django.core.paginator import Paginator, EmptyPage
import models


def get_page(per_page, page, category):
    """
    Gets entries in a given page, given by the per_page range.

    :param category:    the category slug.
    :param per_page:    number of entries in a page.
    :param page:        the page number to get.
    :return:            the entries in the page, and two integers (or None)
                        that indicates if there's a previous and a next page.
    """
    # get entries in the platform.
    entries = models.Entry.objects.filter(category__slug=category)

    # create the paginator object and get the entries from the page given.
    paginator = Paginator(entries, per_page)

    previous = page - 1 if page >= 1 else None
    next_ = page + 1 if page < paginator.num_pages else None

    try:
        current_page = paginator.page(page)
        print current_page
        objects = current_page.object_list
    except EmptyPage:
        objects = None

    return objects, previous, next_


def delete(entry):
    entry.delete()
