from django.shortcuts import render, redirect, get_object_or_404
import forms
import models
import services
from models import Entry


def index(request, category, page=1):
    entries, previous_page, next_page =\
        services.get_page(5, int(page), category)

    return render(request, 'entries/index.html', {
        'category': category,
        'entries': entries,
        'next_page': next_page,
        'previous_page': previous_page
    })


def show(request, slug):
    entry = get_object_or_404(models.Entry, slug=slug)

    return render(request, 'entries/show.html', {
        'entry': entry
    })


def search(request):
    query = request.GET['q']

    entries = Entry.objects.filter(title__icontains=query).all()

    return render(request, 'entries/search.html', {
        'entries': entries
    })
