from django.shortcuts import render
import entries.models
from entries.models import Category


def index(request):
    try:
        main_category = Category.objects.first()

        entry = None
        if main_category:
            entry = entries.models.Entry.objects.by_category(
                main_category.slug).latest(field_name='create_time')
    except entries.models.Entry.DoesNotExist:
        entry = None

    return render(request, 'landing/index.html', {
        'entry': entry,
        'categories': Category.objects.all()
    })
